Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks
[Java] Interface ScalaSourceSet

    public interface ScalaSourceSet

A `ScalaSourceSetConvention` defines the properties and methods added to a SourceSet by the `ScalaPlugin`.

Method Summary
`SourceDirectorySet` | `getAllScala()` All Scala source for this source set.
`SourceDirectorySet` | `getScala()` Returns the source to be compiled by the Scala compiler for this source set.
`ScalaSourceSet` | `scala(Closure configureClosure)` Configures the Scala source for this set.

Method Detail

### getAllScala

    public SourceDirectorySet getAllScala()

  All Scala source for this source set.
  Returns:
    the Scala source. Never returns null.

### getScala

    public SourceDirectorySet getScala()

  Returns the source to be compiled by the Scala compiler for this source set. This may contain both Java and Scala source files.
  Returns:
    The Scala source. Never returns null.

### scala

    public ScalaSourceSet scala(Closure configureClosure)

  Configures the Scala source for this set.

  The given closure is used to configure the SourceDirectorySet which contains the Scala source.

  Parameters:
    `configureClosure` - The closure to use to configure the Scala source.
  Returns:
    this

Gradle API 1.1-rc-1